{{- /* Test if Huishoudboekje secrets can be found */ -}}
{{ $logserviceSecret := printf "%s-logservice-database" .Values.hhbReleaseName }}

{{- if not (lookup "v1" "Secret" .Release.Namespace $logserviceSecret) -}}
  {{- fail (printf "secret could not be found: %s, please fix." $logserviceSecret) -}}
{{- end -}}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ printf "%s-migrate-logservice-db" .Release.Name | trunc 63 | trimSuffix "-" }}
  labels:
    {{- include "logservice-db-migration.labels" . | nindent 4 }}
spec:
  backoffLimit: 1
  template:
    metadata:
      labels:
        {{- include "logservice-db-migration.selectorLabels" . | nindent 8 }}
    spec:
      restartPolicy: Never
      securityContext:
        runAsNonRoot: true
      containers:
        - name: job-executor
          image: python:3.10
          imagePullPolicy: IfNotPresent
          command: ["bash"]
          args:
            - "-c"
            - "python -m venv /tmp/venv; source /tmp/venv/bin/activate; pip install -r /script/requirements.txt; python /script/main.py"
          env:
            - name: DB_LOGSERVICE_URL
              valueFrom:
                secretKeyRef:
                  name: {{ $logserviceSecret }}
                  key: POSTGRESQL_URL_LEGACY
          volumeMounts:
            - name: script
              mountPath: /script
      volumes:
        - name: script
          configMap:
            name: {{ .Release.Name }}-logservice-db-migration
            defaultMode: 0504
